/*==============================================================================
	CGadget.hpp
==============================================================================*/

#ifndef __CGADGET__HPP__
#define __CGADGET__HPP__

#include "..\windowsapi.h"

/*==============================================================================
	Classe
==============================================================================*/

class CGadget
{

	public:

		HWND		hWnd;
		DWORD		dwStyle;
		DWORD		dwStyleEx;
		int			wId;

		~CGadget();

		BOOL		registerClass(WNDCLASSEX*);
		void		unregisterClass(void);
		HWND		open(HINSTANCE = NULL, HWND = NULL, char* = "");
		BOOL		close(void);

		HINSTANCE	getInstance(void);
		LONG		getUserData(void);
		void		setUserData(LONG);
		RECT		getClientRect(void);
		LONG		getClientWidth(void);
		LONG		getClientHeight(void);
		LONG		getWidth(void);
		LONG		getHeight(void);
		void		showPopupMenu(WORD, int, int);
		static LRESULT CALLBACK stGadgetProc(HWND, UINT, WPARAM, LPARAM);

	protected:

		char		_className[128];

		virtual int gadgetProc(UINT, WPARAM, LPARAM);

};

#endif

/* Fin de CGadget.hpp */
