/*==============================================================================
	CMainDialog.hpp
==============================================================================*/

#ifndef __CMAINDIALOG__HPP__
#define __CMAINDIALOG__HPP__

#include "CDialog.hpp"
#include "CArrange.hpp"
#include "CSampleCollection.hpp"
#include "CSplitter.hpp"

/*==============================================================================
	Classe
==============================================================================*/

class CArrange;
class CSampleCollection;
class CSplitter;
class CMainDialog : public CDialog
{

	public:

		CMainDialog(HINSTANCE);

	protected:

		CArrange			*gArrangeGadget;
		CSampleCollection	*gSampleCollection;
		CSplitter			*gSplitter;

		INT_PTR				dialogProc(UINT, WPARAM, LPARAM);
		void				onInitDialog(LPARAM);
		void				onMakingToolbar(void);
		void				onCommand(WPARAM, LPARAM);
		void				onSize(WPARAM, LPARAM);

};

#endif

/* Fin de CMainDialog.hpp */
