/*==============================================================================
	CSplitter.hpp
==============================================================================*/

#ifndef __CSPLITTER__HPP__
#define __CSPLITTER__HPP__

#include "CGadget.hpp"

/*==============================================================================
	Classe
==============================================================================*/

class CSplitter : public CGadget
{

	public:

		CSplitter(HWND, WORD, HWND, HWND, int, DWORD = 0);

		void		setMinimumSizes(int, int);

	protected:

		HWND		_hParent;
		HWND		_hPaneFirst;
		HWND		_hPaneSecond;
		int			_bIsVert;
		int			_iCurrentPos;
		int			_iBorderSize;
		int			_iMinFirst;
		int			_iMinSecond;
		int			_bIsMoving;

		void		rePaint(void);
		void		onLeftButtonDown(void);
		void		onMouseMove(WPARAM, LPARAM);
		void		onLeftButtonUp(LPARAM);
		void		onSize(WPARAM, LPARAM);
		void		reSize(void);
		void		getRelativeRect(RECT*);
		int			gadgetProc(UINT, WPARAM, LPARAM);

};

#endif

/* Fin de CSplitter.hpp */
