/*==============================================================================
	CThread.hpp
==============================================================================*/

#ifndef __CTHREAD__HPP__
#define __CTHREAD__HPP__

#include "../windowsapi.h"

/*==============================================================================
	Classe
==============================================================================*/

class CThread
{

	public:

		CThread(LPTHREAD_START_ROUTINE);
		~CThread();

		void			start(LPVOID = NULL);
		void			stop(DWORD);
		DWORD			wait(DWORD);
		void			terminate(void);
		void			setPriority(int);
		BOOL			isRunning(void);
		HANDLE			getHandle(void);
		DWORD			getID(void);
		LPTHREAD_START_ROUTINE stThreadProc;

	protected:

		HANDLE			hThread;
		DWORD			dwThreadId;

};

#endif

/* Fin de CThread.hpp */
