/*==============================================================================
	CDialog.hpp
==============================================================================*/

#ifndef __CDIALOG__HPP__
#define __CDIALOG__HPP__

#include "..\windowsapi.h"

/*==============================================================================
	Classe
==============================================================================*/

class CDialog
{

	public:

		HWND		hDlg;

		~CDialog();

		BOOL		initControls(DWORD);
		BOOL		open(HINSTANCE = NULL, HWND = NULL);
		BOOL		close(void);

		BOOL		setMenu(WORD);
		HINSTANCE	getInstance(void);
		void		setIcon(WORD);
		LONG		getUserData(void);
		void		setUserData(LONG);
		LONG		getClientWidth(void);
		LONG		getClientHeight(void);
		static INT_PTR CALLBACK stDialogProc(HWND, UINT, WPARAM, LPARAM);

	protected:

		WORD		_wTemplate;

		virtual INT_PTR dialogProc(UINT, WPARAM, LPARAM);

};

#endif

/* Fin de CDialog.hpp */
