/*==============================================================================
	CSampleList.hpp
==============================================================================*/

#ifndef __CSAMPLELIST__HPP__
#define __CSAMPLELIST__HPP__

#include "CSample.hpp"

/*==============================================================================
	Classe
==============================================================================*/

class CSample;
class CSampleList {

	public:

		CSampleList();
		~CSampleList();

		CSample				*add(CSample*);
		CSample				*remove(CSample*, int = 1);
		void				clear(int = 1);
		int					count(void);
		int					empty(void);
		CSample				*getByIndex(int);
		void				swap(int, int);
		void				sortByTimePosition(void);

	protected:

		CSample				*pStartSample;

};

#endif

/* Fin de CSampleList.cpp */
