/*==============================================================================
	resource.h
==============================================================================*/

#include "..\windowsapi.h"

/*==============================================================================
	Proprits
==============================================================================*/

#define PRODUCT_NAME			"Easy Wave Mixer v0.0.1 beta1"
#define MAIN_DIALOG_WIDTH		500
#define MAIN_DIALOG_HEIGHT		300
#define MAIN_DIALOG_STYLE		WS_OVERLAPPEDWINDOW|WS_CLIPCHILDREN|DS_CENTER
#define IDM_TEST_				9998

/*==============================================================================
	Fentre principale
==============================================================================*/

#define IDD_DIALOG				100
#define IDC_MAINTOOLBAR			1001
#define IDC_SPLITTER			1002
#define IDC_SAMPLES_LIST		1003
#define IDC_ARRANGE				1004
#define IDC_ARRANGE_TABLE		1011
#define IDC_ARRANGE_TIMEBAR		1012
#define IDC_ARRANGE_TRACKBAR	1013

/*==============================================================================
	Proprits du sample
==============================================================================*/

#define IDD_SAMPLEPROPDIALOG				200
#define IDC_SAMPLEPROPDIALOG_FORMATTAG		2001
#define IDC_SAMPLEPROPDIALOG_CHANNELS		2002
#define IDC_SAMPLEPROPDIALOG_FREQUENCY		2003
#define IDC_SAMPLEPROPDIALOG_BYTEPERSEC		2004
#define IDC_SAMPLEPROPDIALOG_BLOCKALIGN		2005
#define IDC_SAMPLEPROPDIALOG_BITSPERSAMPLE	2006
#define IDC_SAMPLEPROPDIALOG_EXTRADATA		2007

/*==============================================================================
	Menu principal
==============================================================================*/

#define IDR_MAIN_DIALOG			900
#define IDM_NEW					9001
#define IDM_OPEN				9002
#define IDM_SAVE				9003
#define IDM_SAVEAS				9004
#define IDM_CLOSE				9005
#define IDM_EXPORT				9006
#define IDM_QUIT				9007
#define IDM_UNDO				9011
#define IDM_REDO				9012
#define IDM_PLAYMIX				9020
#define IDM_STOPMIX				9021
#define IDM_ABOUT				9051

/*==============================================================================
	Menu Sample Map
==============================================================================*/

#define IDR_SAMPLEMAP			910
#define IDM_SAMPLEMAP_DELETEALL	9101

/*==============================================================================
	Menu Sample
==============================================================================*/

#define IDR_SAMPLE				920
#define IDM_SAMPLE_MOVE			9201
#define IDM_SAMPLE_DELETE		9202

/*==============================================================================
	Menu Sample Collection
==============================================================================*/

#define IDR_SAMPLECOLLECTION				930
#define IDR_SAMPLECOLLECTION_ADD			9301
#define IDM_SAMPLECOLLECTION_DELETEALL		9302

/*==============================================================================
	Menu Elment Sample Collection
==============================================================================*/

#define IDR_SAMPLECOLLECTION_ITEM				940
#define IDM_SAMPLECOLLECTION_ITEM_PROPERTIES	9401
#define IDM_SAMPLECOLLECTION_ITEM_DELETE		9402

/*==============================================================================
	Images
==============================================================================*/

#define IDI_MAIN				10
#define IDI_SOUND				11
#define IDB_MAINTOOLBAR_16		90
#define IDB_MAINTOOLBAR_32		91

/* Fin de resource.h */
